<?php
  ///////////////////////////////////////////////////
  //Выдача контента по запросу
  //2010 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  require_once "utils/chlang_osn.php";

  $title = $TEXT['book-vidano']."&nbsp;".$TEXT['book-audio'];

  require_once "config.php";
  require_once "utils/functions.php";
  require_once "utils/top.php";

  if($result2['administrator'] == 0 && $result2['user'] == 0) {puterror2($result2['skin'],$TEXT['error-loginform2']); require_once "utils/bottom.php"; exit();}

  if(empty($_GET['book_id'])) {puterror2($result2['skin'],$TEXT['error-book5']); require_once "utils/bottom.php"; exit();}
  if(strlen($_GET['book_id'])>20) {puterror2($result2['skin'],$TEXT['error-book6']); require_once "utils/bottom.php"; exit();}
  $_GET['book_id'] = rep($_GET['book_id']);

  $query_iskh = "SELECT
  book_name,
  a_book,
  cicle_id
  FROM tbl_book
  WHERE book_id = '".$_GET['book_id']."' ";
  $result_iskh = mysqli_query($dbcnx,$query_iskh);
  if(!$result_iskh) {puterror2($result2['skin'],$TEXT['error-tbl3']); require_once "utils/bottom.php"; exit();}
    $result_iskh2 = mysqli_fetch_array($result_iskh,MYSQLI_ASSOC);

  $zad_date = 0;

  if($_GET['cicl_show'] == "OK") 
  {
   echo "<div class='upd'><img alt='Ok' src='skins/".$result2['skin']."/ok.png' /></div><div class='upd'>".$TEXT['book-vidano-now-in-cicle'].""; 
  
   $query_iskh_all = "SELECT
   book_name,
   a_book,
   book_num
   FROM tbl_book
   WHERE cicle_id = '".$result_iskh2['cicle_id']."' ORDER BY `book_num` asc";
   $result_iskh_all = mysqli_query($dbcnx,$query_iskh_all);
   if(!$result_iskh_all) {puterror2($result2['skin'],$TEXT['error-tbl3']); require_once "utils/bottom.php"; exit();}
    $result_rows = mysqli_num_rows($result_iskh_all);
    if($result_rows > 0)
    {
     while($result_iskh_all2 = mysqli_fetch_array($result_iskh_all,MYSQLI_ASSOC))
        {
        if($result_iskh_all2['book_num'] == 0) {$book_num = "";}
        else
        {
        $bnt = substr($result_iskh_all2['book_num'],0,1);
            if($bnt == '0')
            {
            $book_n = substr($result_iskh_all2['book_num'],1,1);
                if($book_n == '0')
                {
                $book_num = ", ".$TEXT['book-num']." - ".substr($result_iskh_all2['book_num'],2,3);
                } else {$book_num = ", ".$TEXT['book-num']." - ".substr($result_iskh_all2['book_num'],1,3);}
            } else {$book_num = ", ".$TEXT['book-num']." - ".$result_iskh_all2['book_num'];}
        }
    
        $fl = substr($result_iskh_all2['a_book'],3,255);
        if(!empty($result_iskh_all2['a_book']) && file_exists($fl)) {$a_book2 = "<a href='".$fl."' target=_blank title='".$TEXT['book-ebook']."'><span class='informssilka'>".rep_back($result_iskh_all2['book_name'])."</span></a>".$book_num."<br />";}
            else {$a_book2 = "";}

        echo $a_book2;
        }
    }
    echo "<br /></div>"; 
   } else {echo "<div class='upd'><img alt='Ok' src='skins/".$result2['skin']."/ok.png' /></div><div class='upd'>".$TEXT['book-vidano-now']."<a href='".substr($result_iskh2['a_book'],3,255)."' target=_blank title='".$TEXT['book-ebook']."'><span class='informssilka'>".rep_back($result_iskh2['book_name'])."</span></a></div>";}
  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-book11'];
  $what = $result_iskh2['book_name'].", ".$TEXT['log-id']." ".$_GET['book_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $queryst = "INSERT INTO tbl_statistik ( `stat_id` , `book_id` , `user_id` , `data_vidachi` , `data_sdachi` , `r_data_sdachi`, `obr_id`, `zad_days`, `film_id` )
                         VALUES ( NULL , '".$_GET['book_id']."' , '".$result2['login_id']."' , CURRENT_DATE() , CURRENT_DATE() , CURRENT_DATE(), '1', ".$zad_date.", '0')";
        if(mysqli_query($dbcnx,$queryst))
           {
             $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
             if(mysqli_query($dbcnx,$query2))
              {
               if($_GET['cicl_show'] !== "OK") 
                {
                echo "<html><head>
                <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=".substr($result_iskh2['a_book'],3,255)."' target=_blank />
                </head></html>";
                } else {require_once "utils/bottom.php";}
              } else {puterror2($result2['skin'],$TEXT['error-log']); require_once "utils/bottom.php"; exit();}
           } else {puterror2($result2['skin'],$TEXT['error-tbl4']); require_once "utils/bottom.php"; exit();}
  require_once "utils/bottom.php";
?>